import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    id: item

    property int bottomMargin: units.gu(2)
    property bool mouseOver: contains(mouse)

    property point mouse: Qt.point(-1,-1)

    readonly property real scaleOnMouseOver: 1.2

    width: hudButton.width * scaleOnMouseOver
    height: hudButton.height * scaleOnMouseOver

    Item {
        id: hudButton
        property alias actionButton: actionButton

        anchors.centerIn: parent
        height: units.gu(12)
        width: height
        opacity: item.mouseOver ? 1 : 0.7
        scale: item.mouseOver ? scaleOnMouseOver : 1
        Behavior on opacity {NumberAnimation{duration: 200; easing.type: Easing.OutQuart}}
        Behavior on scale {NumberAnimation{duration: 200; easing.type: Easing.OutQuart}}

        UbuntuShape {
            id: actionButton
            anchors.fill: parent

            borderSource: ""
            image: Image {
                source: "graphics/hud_invoke_button_active.png"
            }
        }

        Image {
            width: units.gu(4)
            height: width
            source: "graphics/hud.png"
            anchors.centerIn: parent
            fillMode: Image.PreserveAspectFit
        }
    }
}
