/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    property var application

    property string __icon: (application && application.icon) ? application.icon : ""

    // fallback in case application missing artwork
    Rectangle {
        anchors.fill: image
        visible: image.status === Image.Error
        color: "white"
    }

    Label {
        anchors.centerIn: parent
        visible: image.status === Image.Error
        fontSize: "large"
        text: (application) ? application.name : ""
    }

    // preview image (if available)
    Image {
        id: image
        anchors.fill: parent
        source: (__icon !== "") ? "../Dash/graphics/phone/screenshots/" + __icon + ".png" : ""
        smooth: true
        fillMode: Image.PreserveAspectCrop
    }

    // mouse events eater
    MouseArea {
        anchors.fill: parent
        enabled: parent.visible
    }
}
