/*
 * Copyright (C) 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import "../../Components"
import "../../Applications/applications.js" as ApplicationsModel

Tile {
    id: root
    property var application
    property bool __sideStageEnabled: shell.applicationManager.sideStageEnabled

    property int __stage: application.stage

    text: application.name

    height: imageHeight + units.gu(2)
    width: imageWidth

    imageWidth: (__stage === ApplicationsModel.MainStage && __sideStageEnabled) ? units.gu(19) : units.gu(11)
    imageHeight: (__sideStageEnabled) ? units.gu(22) : units.gu(19)
    fillMode: Image.PreserveAspectCrop
    horizontalAlignment: Image.AlignLeft
    verticalAlignment: Image.AlignTop
    source: "../graphics/phone/screenshots/" + application.icon + ".png"
    onClicked: shell.activateApplication(application.desktopFile)
}
