/*
 * Copyright (C) 2012, 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    property bool selected: false
    property alias icon: image.source

    height: shape.height + units.gu(0.5)
    width: shape.width + units.gu(0.5)

    Image {
        id: selectedImage
        anchors.fill: parent
        source: "graphics/app_selected.png"
        visible: parent.selected
    }

    UbuntuShape {
        id: shape

        height: units.gu(6)
        width: height
        anchors.centerIn: parent

        image: Image {
            id: image
            anchors.centerIn: parent
            width: parent ? parent.width - units.gu(1) : 0
            height: width
        }
    }
}