/*
 * Copyright (C) 2012, 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    property alias contextSnippetText: contextSnippetLabel.text
    property alias nameText: actionLabel.text

    Label {
        id: actionLabel
        objectName: "actionLabel"
        anchors.left: parent.left
        anchors.leftMargin: units.gu(1)
        anchors.verticalCenter: parent.verticalCenter
        width: parent.width / 2
        fontSize: "medium"
        color: "white"
        elide: Text.ElideRight
        maximumLineCount: 1
    }

    Label {
        horizontalAlignment: Text.AlignRight
        id: contextSnippetLabel
        objectName: "contextSnippetLabel"
        width: parent.width / 2 - units.gu(1)
        visible: text != ""
        anchors.right: parent.right
        anchors.rightMargin: units.gu(1)
        anchors.verticalCenter: parent.verticalCenter
        fontSize: "small"
        color: "white"
        opacity: 0.5
        elide: Text.ElideRight
        maximumLineCount: 2
    }
}
