/*
 * Copyright (C) 2012, 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import HudClient 0.1

Row {
    signal actionTriggered(int action)

    spacing: units.gu(3)
    ToolBarIcon {
        source: "graphics/close.png"
        onClicked: actionTriggered(HudClient.QuitToolBarAction)
    }
    ToolBarIcon {
        source: "graphics/undo.png"
        onClicked: actionTriggered(HudClient.UndoToolBarAction)
    }
    ToolBarIcon {
        source: "graphics/help.png"
        onClicked: actionTriggered(HudClient.HelpToolBarAction)
    }
    ToolBarIcon {
        source: "graphics/view-fullscreen.png"
        onClicked: actionTriggered(HudClient.FullScreenToolBarAction)
    }
    ToolBarIcon {
        source: "graphics/settings.png"
        onClicked: actionTriggered(HudClient.PreferencesToolBarAction)
    }
}
