/*
 * Copyright (C) 2012 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author: Gerry Boland <gerry.boland@canonical.com>
 */

#include <QtQml>
#include <QDebug>

#include "plugin.h"
#include "applicationlauncher.h"

void ApplicationsLauncherPlugin::registerTypes(const char *uri)
{
    Q_ASSERT(uri == QLatin1String("ApplicationLauncher"));
    qmlRegisterUncreatableType<ApplicationLauncher>(uri, 0, 1, "ApplicationLauncher", "Type is not instantiable");
}

void ApplicationsLauncherPlugin::initializeEngine(QQmlEngine *engine, const char *uri)
{
    QQmlExtensionPlugin::initializeEngine(engine, uri);
    engine->rootContext()->setContextProperty("applicationLauncher", &ApplicationLauncher::instance());
}
