/*
 * Copyright (C) 2012, 2013 Canonical, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef HUDCLIENTSTUB_H
#define HUDCLIENTSTUB_H

#include <QObject>

class HudClientStub : public QObject
{
    Q_OBJECT

    Q_PROPERTY(int lastExecutedToolbarItem READ lastExecutedToolbarItem)
    Q_PROPERTY(QString lastSetAppStackApplicationId READ lastSetAppStackApplicationId)
    Q_PROPERTY(QString lastSetQuery READ lastSetQuery)

public:
    int lastExecutedToolbarItem() const;
    QString lastSetAppStackApplicationId() const;
    QString lastSetQuery() const;

    Q_INVOKABLE int fullScreenToolbarItemValue() const;
    Q_INVOKABLE int helpToolbarItemValue() const;
    Q_INVOKABLE int preferencesToolbarItemValue() const;
    Q_INVOKABLE int quitToolbarItemValue() const;
    Q_INVOKABLE int undoToolbarItemValue() const;

    static int m_lastExecutedToolbarItem;
    static QString m_lastSetAppStackApplicationId;
    static QString m_lastSetQuery;
};


#endif
